Bug 179708 - Review Request: dap-freeform_handler - FreeForm data handler for the OPeNDAP Data server
Review Request: dap-freeform_handler - FreeForm data handler for the OPeNDAP ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 179707
  Show dependency treegraph
 
Reported: 2006-02-02 05:01 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 07:19:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-02-02 05:01:14 EST
SRPM Name or Url: 
Description:  http://www.environnement.ens.fr/perso/dumas/fc-srpms/freeform_handler-3.5.0-1.src.rpm
This is the foreeform data handler for our data server. It reads ASCII,
binary and DB4 files which have been described using FreeForm and returns DAP
responses that are compatible with DAP2 and the dap-server 3.5 software.
Comment 1 Patrice Dumas 2006-02-02 05:08:08 EST
This bug depends on #179707, but circular dependencies are not allowed.
Comment 2 Ed Hill 2006-02-19 22:47:32 EST
Heres a review:

38027c71f44da94fddd3024ff2e6d5d3  freeform_handler-3.5.0-1.src.rpm

good:
 + source matches upstream
 + license is acceptable for FE and correctly included
 + very simple and legible spec file
 + dir ownership and permissions look good
 + builds in mock on FC4
 + rpmlint reports no errors or warnings

needswork:
 - license is LGPL not GPL
 - please rename to "dap-freeform_handler" or similar
Comment 4 Ed Hill 2006-02-20 08:55:31 EST
Both items from comment #2 are fixed so its APPROVED.
Comment 5 Christian Iseli 2006-10-18 09:14:11 EDT
Normalize summary field for easy parsing

Note You need to log in before you can comment on or make changes to this bug.